Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom
Interface AtomXMLReader

All Superinterfaces:
  org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public interface AtomXMLReader

extends org.xml.sax.XMLFilter

Data source for an XML stream in ATOM format (http://tools.ietf.org/html/rfc4287). The reader can be used the same way as any other JAXP-XML reader.

All XML events that are read from the source `XMLReader` are interpreted and the events in the ATOM namespace are mapped to the named methods on the attached `AtomContentHandler` whereas the plain SAX events are dispatched to the default SAX methods on the `ContentHandler` superclass.

Since:
  6.0.1

Method Summary
`void` | `setAtomContentHandler(AtomContentHandler aHandler)` Allow an application to register an ATOM content event handler.
`void` | `setContentHandler(org.xml.sax.ContentHandler aHandler)` Allow an application to register a default `ContentHandler` that receives the ATOM events in the form of standard SAX events.

Methods inherited from interface org.xml.sax.XMLFilter
`getParent, setParent`

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Method Detail

### setAtomContentHandler

    void setAtomContentHandler(AtomContentHandler aHandler)

  Allow an application to register an ATOM content event handler. This handler will receive ATOM events by calls to the ATOM specific method instead of the generic SAX methods. All non-ATOM events are passed through the SAX methods. This handler will be overridden by calls to `setContentHandler(ContentHandler)`.

  If the application does not register a content handler, all content events reported by the reader will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Parameters:
    `aHandler` - The content handler.

### setContentHandler

    void setContentHandler(org.xml.sax.ContentHandler aHandler)

  Allow an application to register a default `ContentHandler` that receives the ATOM events in the form of standard SAX events. This handler will be overridden by calls to `setAtomContentHandler(AtomContentHandler)`.

  If the application does not register a content handler, all content events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  Parameters:
    `aHandler` - The content handler.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD